Subject: Re: bug#22814: 25.0.91; Emacs runs out of file descriptors on OS X

From: Anders Lindgren <[email-masked]>
Date: Sat, 27 Feb 2016 12:38:17 +0100

On Sat, Feb 27, 2016 at 11:46 AM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Sat, 27 Feb 2016 10:55:42 +0100
> > From: Anders Lindgren <[email-masked]>
> > Cc: [email-masked]
> >
> >  A general support for polling in filenotify.el is not foreseen, too much
> >  effort. But I believe, in the auto-revert case Emacs works already this
> >  way. When file-notify-add-watch returns nil, auto-revert falls back to
> >  polling (to be tested, I'll I add a test).
> >
> > This sounds like the right thing to do.
> >
> > The main question is why Emacs hangs when opening a large desktop (which
> is why I didn't want this bug to
> > be closed), even though the file notify system has this fallback.
>
> Can you debug this?
>

Not within a reasonable time frame, unfortunately.

In can put it on the NS Wishlist, and hope that someone picks up on it.

    -- Anders